.TH DAVSERVER3 1 "2018\-06\-04" "0.9.11" "WebDAV server"

.SH NAME
davserver \-WebDAV server implementation in Python 3

.SH SYNOPSIS
\fBdavserver\fR \fIOPTIONS\fR

.SH DESCRIPTION
 PyWebDAV3 is a WebDAV server implementation in Python 3. It's aim is to provide a simple interface to webdav services to any application which needs it. It can be run as a daemon.

.SH OPTIONS
.IP "\-c, \-\-config" 4
Specify a file where configuration is specified. In this file you can specify options for a running server. For an example look at the config.ini in this directory.
.IP "\-D, \-\-directory" 4
Directory where to serve data from. The user that runs this server must have permissions on that directory. NEVER run as root! Default directory is /tmp
.IP "\-H, \-\-host" 4
Host where to listen on (default: localhost).
.IP "\-P, \-\-port" 4
Port to bind server to (default: 8008).
.IP "\-u, \-\-user" 4
Username for authentication.
.IP "\-p, \-\-password" 4
Password for given user.
.IP "\-n, \-\-noauth" 4
Pass parameter if server should not ask for authentication. This means that every user has access.
.IP "\-m, \-\-mysql" 4
Pass this parameter if you want MySQL based authentication. If you want to use MySQL then the usage of a configuration file is mandatory.
.IP "\-J, \-\-lockemu" 4
Activate experimental LOCK and UNLOCK mode (WebDAV Version 2). Currently know to work but needs more tests. Default is ON.
.IP "\-M, \-\-nomime" 4
Deactivate mimetype sniffing. Sniffing is based on magic numbers detection but can be slow under heavy load. If you are experiencing speed problems try to use this parameter.
.IP "\-i, \-\-icounter" 4
If you want to run multiple instances then you have to give each instance it own number so that logfiles and such can be identified. Default is 0.
.IP "\-d, \-\-daemon \fIACTION\fR" 4
Make server act like a daemon. That means that it is going to background mode. All messages are redirected to logfiles (default: /tmp/pydav.log and /tmp/pydav.err). You need to pass one of the following actions to this parameter, 'start' to start the daemon, 'stop' to stop the daemon, 'restart' to restart the server, or, 'status' to return the status of the server.
.IP "\-v, \-\-verbose" 4
Be verbose.
.IP "\-h, \-\-help" 4
Show this screen.

.SH HOMEPAGE
More information about davserver and the PyWebDAV3 project can be found at <\fIhttps://github.com/andrewleech/PyWebDAV3\fR>.

.SH AUTHOR
PyWebDAV3 was written by Simon Pamies <\fIs.pamies@banality.de\fR>, Christian Scholz <\fIruebe@aachen.heimat.de\fR>, Vince Spicer <\fIvince@vince.ca\fR> and Andrew Leech <\fIandrew@alelec.net\fR>.
L
.PP
This manual page was written by Daniel Baumann <\fIdaniel@debian.org\fR> and Mathias Behrle <\fImbehrle@debian.org\fR> .
